2019-10-20 13:49 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000481mercuryBugpublic2019-08-20 11:34
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000481: abort in MLDS code generator with --static-ground-terms
DescriptionThe compiler aborts on the following test case in hlc grades.

% mmc -s hlc.gc -C mlds_ground_term.m
Uncaught Mercury exception:
Software Error: map.lookup: key not found
        Key Type: term.var(parse_tree.prog_data.prog_var_type)
        Key Value: var(4)
        Value Type: ml_backend.ml_gen_info.ml_ground_term
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001046

zs (developer)

Fixed by commit 1afe0df4e95cf65f9e32a4f60caad2ea4d1c81cf.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-19 13:38 wangp New Issue
2019-08-19 13:38 wangp File Added: mlds_ground_term.m
2019-08-19 16:07 zs Assigned To => zs
2019-08-19 16:07 zs Status new => assigned
2019-08-20 11:34 zs Status assigned => resolved
2019-08-20 11:34 zs Resolution open => fixed
2019-08-20 11:34 zs Note Added: 0001046
+Issue History